Bug 100758 - COPYING.LIB is not shipped with gmp
COPYING.LIB is not shipped with gmp
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gmp (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-07-24 20:58 EDT by Miloslav Trmac
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-02 02:02:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmac 2003-07-24 20:58:02 EDT
The gmp package ships COPYING (GPL), but not COPYING.LIB (LGPL). Strict reading
of LGPL (which requires the license to be copied) would imply that the Red Hat
package must be shipping gmp under GPL (as allowed by LGPL section 3).

In fact, the library is under LGPL and only demos (which are not shipped)
are under GPL.

Considering that php is, according to rpm headers, under a special PHP
license, and the PHP license is, according to www.gnu.org, GPL-incompatible,
this could mean trouble, if FSF decided to be (absurdly) strict about licensing.
[NOTE: I have not checked the PHP thing in detail].

The obvious fix is to ship COPYING.LIB.

Version-Release number of selected component (if applicable):
gmp-4.1.2-2, gmp-4.1.2-6.1
Comment 1 Florian La Roche 2003-10-02 02:02:41 EDT
Should be fixed with -7.

Thanks a lot for your feedback,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.